local M = {}

-- https://github.com/nvim-telescope/telescope.nvim/wiki/Configuration-Recipes#falling-back-to-find_files-if-git_files-cant-find-a-git-directory
function M.project_files()
  local opts = { previewer = false }
  vim.fn.system("git rev-parse --is-inside-work-tree")
  if vim.v.shell_error == 0 then
    require"telescope.builtin".git_files(opts)
  else
    require"telescope.builtin".find_files(opts)
  end
end

function M.lsp_references()
  local opts = { show_line = false, layout_config = { preview_width = .7 } }
  require("telescope.builtin").lsp_references(opts)
end

function M.grep_string()
  local opts = { word_match = "-w" }
  require("telescope.builtin").grep_string(opts)
end

return M
